P4_OFFSET_CONSTANT(3)

NAME
p4_offset_constant - +CONSTANT ( offset "name" -- )

SYNOPSIS

#include <pfe/useful-ext.h>

FCode p4_offset_constant(---);

DESCRIPTION

create a new offsetword. The word is created and upon execution it adds the offset, ie. compiling the OFFSET-RT runtime:

            ( address -- address+offset )

This word is just a convenience word, just use the word +FIELD directly and choose a DROP to flag the end of a current offset-field declaration series. See also /FIELD series to declare simple structures which end with a final CONSTANT to memorize the complete size. The /FIELD style is more traditional.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>